com.tibbo.aggregate.common.security

## Class Permission

- java.lang.Object
- - com.tibbo.aggregate.common.security.Permission

- All Implemented Interfaces:
    java.lang.Cloneable

      public class Permission
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `PERMISSION_FIELDS_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Permission(java.lang.String context, int entityType, java.lang.String entity, java.lang.String level)`
    `Permission(java.lang.String data, PermissionChecker checker)`
    `Permission(java.lang.String context, java.lang.String level)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Permission` | `clone()`
    `java.lang.String` | `encode()`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getContext()`
    `java.lang.String` | `getEntity()`
    `int` | `getEntityType()`
    `java.lang.String` | `getLevel()`
    `static java.util.Map<java.lang.Integer,java.lang.String>` | `getUserEntitiesSelectionValues()`
    `int` | `hashCode()`
    `void` | `setContext(java.lang.String entity)`
    `void` | `setEntity(java.lang.String entity)`
    `void` | `setEntityType(int entityType)`
    `void` | `setLevel(java.lang.String level)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PERMISSION_FIELDS_SEPARATOR

          public static final char PERMISSION_FIELDS_SEPARATOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Permission

          public Permission(java.lang.String data,
                            PermissionChecker checker)

    - #### Permission

          public Permission(java.lang.String context,
                            java.lang.String level)

    - #### Permission

          public Permission(java.lang.String context,
                            int entityType,
                            java.lang.String entity,
                            java.lang.String level)

  - ### Method Detail

    - #### getUserEntitiesSelectionValues

          public static java.util.Map<java.lang.Integer,java.lang.String> getUserEntitiesSelectionValues()

    - #### encode

          public java.lang.String encode()

    - #### clone

          public Permission clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getContext

          public java.lang.String getContext()

    - #### getLevel

          public java.lang.String getLevel()

    - #### setContext

          public void setContext(java.lang.String entity)

    - #### setLevel

          public void setLevel(java.lang.String level)

    - #### getEntityType

          public int getEntityType()

    - #### setEntityType

          public void setEntityType(int entityType)

    - #### getEntity

          public java.lang.String getEntity()

    - #### setEntity

          public void setEntity(java.lang.String entity)